package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the filtered synced device details.
 * The variables in this class are not camel case.
 * Because JSON object returned as a response from Apple DEP portal is directly mapped to this
 * class using Gson. So the variable names are mapped as keys for the key value pairs in the
 * JSON object.
 * The variables are declared as per the documentation of Apple DEP.
 */
@ApiModel(value = "DeviceDetailsWithSyncInfo", description = "This class carries information " +
                                                           "related to filtered synced device" +
                                                           " details.")
public class DeviceDetailsWithSyncInfo extends DeviceDetails implements Serializable {

    private static final long serialVersionUID = 446763099087765434L;

    @ApiModelProperty(
            name = "op_type",
            value = "Indicates whether the device was added, modified, or deleted.",
            required = false)
    private String op_type;

    @ApiModelProperty(
            name = "op_date",
            value = "A time stamp in ISO 8601 format indicating when the device was added " +
                    "updated, or deleted",
            required = false)
    private String op_date;

    public String getOpDate() {
        return op_date;
    }

    public void setOpDate(String op_date) {
        this.op_date = op_date;
    }

    public String getOpType() {
        return op_type;
    }

    public void setOpType(String op_type) {
        this.op_type = op_type;
    }
}
