package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the Apple DEP profile defining information.
 * The variables in this class are not camel case.
 * Because this class is mapped to a JSON object using Gson and the variable names are mapped as
 * keys for the key value pairs in the JSON object.
 * Therefore to make a valid JSON body for Apple DEP requests the variables are declared as per
 * the documentation of Apple DEP
 */
@ApiModel(value = "DeviceProfile", description = "This class carries information required to " +
                                                 "create Apple DEP profile.")
public class DeviceProfile extends Profile implements Serializable {

    private static final long serialVersionUID = 4123876675461290987L;

    @ApiModelProperty(
            name = "devices",
            value = "Array of string containing device serial numbers.",
            required = false)
    private String[] devices;

    public String[] getDevices() {
        return devices;
    }

    public void setDevices(String[] devices) {
        this.devices = devices;
    }
}
