package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * This class represents the pushed profile details with the list of devices.
 * The variables in this class are not camel case.
 * Because JSON object returned as a response from Apple DEP portal is directly mapped to this
 * class using Gson. So the variable names are mapped as keys for the key value pairs in the
 * JSON object.
 * The variables are declared as per the documentation of Apple DEP.
 */
@ApiModel(value = "ProfileAssignmentStatuses", description = "This class carries information related " +
                                                       "created profile.")
public class ProfileAssignmentStatuses implements Serializable {

    private static final long serialVersionUID = 476663228899234310L;

    @ApiModelProperty(
            name = "profile_uuid",
            value = "Profile ID.",
            required = false)
    private String profile_uuid;

    @ApiModelProperty(
            name = "devices",
            value = "List containing device serial numbers and the profile assignment status.",
            required = false)
    private List<ProfileAssignmentStatus> devices;

    public String getProfileUuid() {
        return profile_uuid;
    }

    public void setProfileUuid(String profile_uuid) {
        this.profile_uuid = profile_uuid;
    }

    public List<ProfileAssignmentStatus> getDevices() {
        return devices;
    }

    public void setDevices(
            List<ProfileAssignmentStatus> devices) {
        this.devices = devices;
    }
}
