package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the Apple DEP profile assigning information.
 * The variables in this class are not camel case.
 * Because this class is mapped to a JSON object using Gson and the variable names are mapped as
 * keys for the key value pairs in the JSON object.
 * Therefore to make a valid JSON body for Apple DEP requests the variables are declared as per
 * the documentation of Apple DEP.
 */
@ApiModel(value = "ProfileWithDevices", description = "This class carries information " +
                                                       "required to assign profile to devices.")
public class ProfileWithDevices implements Serializable {

    private static final long serialVersionUID = 456789009871234352L;

    @ApiModelProperty(
            name = "profile_uuid",
            value = "Profile ID",
            required = false)
    private String profile_uuid;

    @ApiModelProperty(
            name = "devices",
            value = "Array of strings containing device serial numbers.",
            required = false)
    private String[] devices;

    public String getProfileUuid() {
        return profile_uuid;
    }

    public void setProfileUuid(String profile_uuid) {
        this.profile_uuid = profile_uuid;
    }

    public String[] getDevices() {
        return devices;
    }

    public void setDevices(String[] devices) {
        this.devices = devices;
    }
}
